Bug 203849 - Gnome-power-manager improperly detects the Logitech LX7 mouse and it's battery charge
Gnome-power-manager improperly detects the Logitech LX7 mouse and it's batter...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 20:48 EDT by Stewart Adam
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 20:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (148.83 KB, application/octet-stream)
2006-08-25 09:16 EDT, Stewart Adam
no flags Details

  None (edit)
Description Stewart Adam 2006-08-23 20:48:49 EDT
Description of problem:
There are two real issues to this problem:
When right-clicking the gnome-power-manager panel icon and clicking 'Information'
(1) not only does it misdetect my Logitech cordless LX-7 mouse as a cordless
LX-1000, but
(2) it also says that my battery is at 71% all the time. Current Charge is
listed as "0.0/7", which obviously doesn't make any sense.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.15.91-2.fc6

How reproducible:
Always

Steps to Reproduce: (see above, but)
1. Get the 'Information' tab of gnome-power-manager
2. Look at the model and charge of the mouse

  
Actual results:
It's incorrect

Expected results:
That the real battery charge is shown, and also the correct model #

Additional info:
"$   dmesg | grep -i logitech" shows:
input: Logitech USB RECEIVER as /class/input/input7
input: USB HID v1.11 Mouse [Logitech USB RECEIVER] on usb-0000:00:1f.2-1.2
input: Logitech USB RECEIVER as /class/input/input8
input: USB HID v1.11 Mouse [Logitech USB RECEIVER] on usb-0000:00:1f.2-1.2
input: Logitech USB RECEIVER as /class/input/input9
input: USB HID v1.11 Mouse [Logitech USB RECEIVER] on usb-0000:00:1f.2-1.2

"$   lshal | grep logitech -i" shows:
  info.vendor = 'Logitech, Inc.'  (string)
  usb_device.vendor = 'Logitech, Inc.'  (string)
  usb.vendor = 'Logitech, Inc.'  (string)
  input.product = 'Logitech USB RECEIVER'  (string)
  info.product = 'Logitech USB RECEIVER'  (string)
Comment 1 Richard Hughes 2006-08-25 02:48:30 EDT
Can you attach the output of lshal please. Thanks.
Comment 2 Stewart Adam 2006-08-25 09:16:44 EDT
Created attachment 134914 [details]
lshal output

This is the output of 'lshal' on my machine.
Comment 3 Richard Hughes 2006-08-25 10:50:55 EDT
The LX-7 and the MX-1000 look like they have identical usb VID and PID's:

        <!-- Receiver for MX1000 Laser -->
        <match key="usb_device.product_id" int="0xc50e">
          <append key="info.addons" type="strlist">hald-addon-usb-csr</append>
          <merge key="info.product" type="string">MX1000 Laser Mouse</merge>
          <merge key="battery.type" type="string">mouse</merge>
          <merge key="battery.is_rechargeable" type="bool">true</merge>
	  <!-- proprietary properties defining the behavior -->
          <merge key="battery.csr.has_res" type="bool">false</merge>
          <merge key="battery.csr.has_sms" type="bool">false</merge>
          <merge key="battery.csr.is_dual" type="bool">false</merge>
        </match>

The mouse level bug is more confusing, can you please give me more info on what
0.0/7 means please.

Thanks.

Richard.
Comment 4 Stewart Adam 2006-08-25 11:52:46 EDT
No problem - I mean if I hit 'Information' from the G-P-M icon's menu, I can
display battery information about the cordless mouse - It says:

Wireless devices:
 [ icon here ] Product: MX-1000 Cordless Mouse Reciever
               Percentage charge: 71%

I click the little tab that says 'more' and I see:
               Vendor: Logitec, Inc.
               Current Charge: 0.0 /7
               Design Charge: 0.0 /7
Comment 5 Richard Hughes 2006-08-25 14:29:10 EDT
Fixed in CVS HEAD and the 2-16 branch:

2006-08-25  Richard Hughes  <richard@hughsie.com>

	* src/gpm-power.c: (gpm_power_status_for_device_more):
	Be more specific for our device checks in the expanded device
	information to fix the display of CSR properties. Fixes rh:203849

Thanks for your information. Okay to close this bug?
Comment 6 Stewart Adam 2006-08-28 20:17:31 EDT
Yup... Closed. Looking forward to the new release!
Comment 7 Stewart Adam 2006-09-04 22:47:02 EDT
Nope - Still happening in the 2.16 release.
The general information is still the same - detects it as a MX-1000 and not a
LX7, and still always at 71% - But now it also shows the "Current Charge" as
"5.0 / 7", and "Design Charge" as "7.0 / 7". When you solve (5 / 7) * 100 to get
a percentage, it's 71.4%... So that's where the bug's originating.

Note You need to log in before you can comment on or make changes to this bug.